NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Features.ShipDesign.ProfileSystemBuilder Class Reference

This class is used to create or edit the information shared between all the Basic Design profile system features in the Ship Design application. More...

Inheritance diagram for NXOpen.Features.ShipDesign.ProfileSystemBuilder:
NXOpen.Features.ShipDesign.FeatureParmsBuilder NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink NXOpen.Features.ShipDesign.EdgeReinforcementBuilder NXOpen.Features.ShipDesign.EditBoundaryBuilder NXOpen.Features.ShipDesign.PillarSystemBuilder NXOpen.Features.ShipDesign.SeamBuilder NXOpen.Features.ShipDesign.StiffenerSystemBuilder

Public Member Functions

unsafe void CreatePathCurves (out NXOpen.NXObject[] curves)
 Creates path curves for all the paths of the profile system. More...
 
unsafe void CreatOrientationPathCurve ()
 Creates the orientation path curves. More...
 
unsafe void DeleteLastPathCurves ()
 Deletes the path curves returned from a call to GetLastPathCurves . More...
 
unsafe void DeletePathCurves ()
 Deletes the path curves created from a call to CreatePathCurves . More...
 
unsafe void GetLastPathCurves (out NXOpen.NXObject[] curves)
 Gets the path curves used by NXOpen.Features.ShipDesign.OrientationDefinitionBuilder . More...
 
unsafe void SetBoundaryOnePoints (NXOpen.Point3d[] points)
 Sets the selected intersection points for the first boundary. More...
 
unsafe void SetBoundaryTwoPoints (NXOpen.Point3d[] points)
 Set the selected intersection points for the second boundary. More...
 
unsafe void SetRegionPoints (NXOpen.Point3d[] points)
 Sets the points that identify which regions of the curves will be used. More...
 
unsafe void UpdateEndcutChangeStatus (bool isChangeStart, bool isChangeEnd, bool isAllInBoudary)
 Updates the endcut change status. More...
 
- Public Member Functions inherited from NXOpen.Features.ShipDesign.FeatureParmsBuilder
unsafe
NXOpen.Features.ShipDesign.PlaneListBuilder 
CreatePlaneForList ()
 Create a NXOpen.Features.ShipDesign.PlaneListBuilder to add a defined plane to a list. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.SelectNXObjectList Boundary1 [get]
 Returns the collector containing the plate system, profile system, or datum plane that will be used to trim the first end of the generated profile system. More...
 
unsafe NXOpen.Plane Boundary1Plane [get, set]
 Returns or sets the defined plane that will be used to trim the first end of the generated profile system. More...
 
unsafe NXOpen.SelectNXObjectList Boundary2 [get]
 Returns the collector containing the plate system, profile system, or datum plane that will be used to trim the second end of the generated profile system. More...
 
unsafe NXOpen.Plane Boundary2Plane [get, set]
 Returns or sets the defined plane that will be used to trim the second end of the generated profile system. More...
 
unsafe bool BoundaryOneModified [get, set]
 Returns or sets the flag that indicates if the boundary 1 has been modified. More...
 
unsafe bool BoundaryReverse [get, set]
 Returns or sets the indication if the side of a single boundary should be changed to the other side or not. More...
 
unsafe bool BoundaryTwoModified [get, set]
 Returns or sets the flag that indicates if the boundary 2 has been modified. More...
 
unsafe NXOpen.SelectPointList FirstIntersectionPoints [get]
 Returns the selected intersection points between the curves and the first boundary. More...
 
unsafe bool ReversePathDirection [get, set]
 Returns or sets the flag that indicates if the default curve direction should be reversed or not. More...
 
unsafe NXOpen.SelectPointList SecondIntersectionPoints [get]
 Returns the selected intersection points between the curves and the second boundary. More...
 
unsafe NXOpen.SelectPointList SplitKnuckleLocations [get]
 Returns the collector containing the knuckle points that are to be used to create seams. More...
 
unsafe bool UseNewDefaultSectionAlgorithm [get, set]
 Returns or sets the flag that indicates if the new default section algorithm is used. More...
 
- Properties inherited from NXOpen.Features.ShipDesign.FeatureParmsBuilder
unsafe double AngleTolerance [get, set]
 Returns or sets the tolerance, in degrees, used to determine when angles are zero. More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the tolerance used to determine when distances are considered zero. More...
 
unsafe
NXOpen.Features.ShipDesign.FeatureParmsBuilder.OrientationAngleRuleTypes 
OrientationAngleRule [get, set]
 Returns or sets the angle rule to use when measuring angles. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Types inherited from NXOpen.Features.ShipDesign.FeatureParmsBuilder
enum  OrientationAngleRuleTypes { RightHand, ShipOrientation }
 Settings to indicate how angles are to be measured. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

This class is used to create or edit the information shared between all the Basic Design profile system features in the Ship Design application.

Currently this includes the following features: NXOpen.Features.ShipDesign.StiffenerSystem , NXOpen.Features.ShipDesign.PillarSystem , and NXOpen.Features.ShipDesign.EdgeReinforcement .

To create a new instance of this class, use NXOpen.Features.ShipCollection.CreateProfileSystemBuilder

Created in NX8.0.0

Member Function Documentation

unsafe void NXOpen.Features.ShipDesign.ProfileSystemBuilder.CreatePathCurves ( out NXOpen.NXObject[]  curves)
inline

Creates path curves for all the paths of the profile system.

Created in NX9.0.0

License requirements: None.

Parameters
curvesThe curves defining all the paths of the profiles that are being created.
unsafe void NXOpen.Features.ShipDesign.ProfileSystemBuilder.CreatOrientationPathCurve ( )
inline

Creates the orientation path curves.

Created in NX12.0.2

License requirements: nx_ship_basic ("Ship Basic Design")

unsafe void NXOpen.Features.ShipDesign.ProfileSystemBuilder.DeleteLastPathCurves ( )
inline

Deletes the path curves returned from a call to GetLastPathCurves .

Created in NX9.0.0

License requirements: None.

unsafe void NXOpen.Features.ShipDesign.ProfileSystemBuilder.DeletePathCurves ( )
inline

Deletes the path curves created from a call to CreatePathCurves .

Created in NX9.0.0

License requirements: None.

unsafe void NXOpen.Features.ShipDesign.ProfileSystemBuilder.GetLastPathCurves ( out NXOpen.NXObject[]  curves)
inline

Gets the path curves used by NXOpen.Features.ShipDesign.OrientationDefinitionBuilder .

Created in NX9.0.0

License requirements: None.

Parameters
curvesThe curves to be used for profile orientation.
unsafe void NXOpen.Features.ShipDesign.ProfileSystemBuilder.SetBoundaryOnePoints ( NXOpen.Point3d[]  points)
inline

Sets the selected intersection points for the first boundary.

Created in NX8.5.0

License requirements: nx_ship_basic ("Ship Basic Design")

Parameters
pointsThe selected intersection points for boundary one.
unsafe void NXOpen.Features.ShipDesign.ProfileSystemBuilder.SetBoundaryTwoPoints ( NXOpen.Point3d[]  points)
inline

Set the selected intersection points for the second boundary.

Created in NX8.5.0

License requirements: nx_ship_basic ("Ship Basic Design")

Parameters
pointsThe selected intersection points for boundary two.
unsafe void NXOpen.Features.ShipDesign.ProfileSystemBuilder.SetRegionPoints ( NXOpen.Point3d[]  points)
inline

Sets the points that identify which regions of the curves will be used.

Created in NX11.0.0

License requirements: nx_ship_basic ("Ship Basic Design")

Parameters
pointsThe points that identify which regions of the curves are to be used.
unsafe void NXOpen.Features.ShipDesign.ProfileSystemBuilder.UpdateEndcutChangeStatus ( bool  isChangeStart,
bool  isChangeEnd,
bool  isAllInBoudary 
)
inline

Updates the endcut change status.

Created in NX12.0.2

License requirements: nx_ship_basic ("Ship Basic Design")

Parameters
isChangeStart
isChangeEnd
isAllInBoudary

Property Documentation

unsafe NXOpen.SelectNXObjectList NXOpen.Features.ShipDesign.ProfileSystemBuilder.Boundary1
get

Returns the collector containing the plate system, profile system, or datum plane that will be used to trim the first end of the generated profile system.

Only one sheet body or one plane can be input.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Plane NXOpen.Features.ShipDesign.ProfileSystemBuilder.Boundary1Plane
getset

Returns or sets the defined plane that will be used to trim the first end of the generated profile system.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_basic ("Ship Basic Design")

unsafe NXOpen.SelectNXObjectList NXOpen.Features.ShipDesign.ProfileSystemBuilder.Boundary2
get

Returns the collector containing the plate system, profile system, or datum plane that will be used to trim the second end of the generated profile system.

Only one sheet body or one plane can be input.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Plane NXOpen.Features.ShipDesign.ProfileSystemBuilder.Boundary2Plane
getset

Returns or sets the defined plane that will be used to trim the second end of the generated profile system.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_basic ("Ship Basic Design")

unsafe bool NXOpen.Features.ShipDesign.ProfileSystemBuilder.BoundaryOneModified
getset

Returns or sets the flag that indicates if the boundary 1 has been modified.

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: nx_ship_basic ("Ship Basic Design")

unsafe bool NXOpen.Features.ShipDesign.ProfileSystemBuilder.BoundaryReverse
getset

Returns or sets the indication if the side of a single boundary should be changed to the other side or not.

By default the side that is on the same side as the sheet body or plane normal is chosen.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_basic ("Ship Basic Design")

unsafe bool NXOpen.Features.ShipDesign.ProfileSystemBuilder.BoundaryTwoModified
getset

Returns or sets the flag that indicates if the boundary 2 has been modified.

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: nx_ship_basic ("Ship Basic Design")

unsafe NXOpen.SelectPointList NXOpen.Features.ShipDesign.ProfileSystemBuilder.FirstIntersectionPoints
get

Returns the selected intersection points between the curves and the first boundary.

Created in NX8.5.0

License requirements: None.

unsafe bool NXOpen.Features.ShipDesign.ProfileSystemBuilder.ReversePathDirection
getset

Returns or sets the flag that indicates if the default curve direction should be reversed or not.

By default curve's direction is consistent with ship coordinate.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_basic ("Ship Basic Design")

unsafe NXOpen.SelectPointList NXOpen.Features.ShipDesign.ProfileSystemBuilder.SecondIntersectionPoints
get

Returns the selected intersection points between the curves and the second boundary.

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.SelectPointList NXOpen.Features.ShipDesign.ProfileSystemBuilder.SplitKnuckleLocations
get

Returns the collector containing the knuckle points that are to be used to create seams.

Created in NX12.0.0

License requirements: None.

unsafe bool NXOpen.Features.ShipDesign.ProfileSystemBuilder.UseNewDefaultSectionAlgorithm
getset

Returns or sets the flag that indicates if the new default section algorithm is used.

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_basic ("Ship Basic Design")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.